### Method

# Camel MimeMessage set_best_encoding

#### Declaration [src]

    void
    camel_mime_message_set_best_encoding (
      CamelMimeMessage* message,
      CamelBestencRequired required,
      CamelBestencEncoding enctype
    )

#### Description [src]

Re-encode all message parts to conform with the required encoding rules.

If `enctype` is #CAMEL_BESTENC_7BIT, then all parts will be re-encoded into one of the 7bit transfer encodings. If `enctype` is #CAMEL_BESTENC_8BIT, all parts will be re-encoded to either a 7bit encoding or, if the part is 8bit text, allowed to stay 8bit. If `enctype` is #CAMEL_BESTENC_BINARY, then binary parts will be encoded as binary and 8bit textual parts will be encoded as 8bit.

#### Parameters

`required`

  Type: `CamelBestencRequired`

  A bitwise ORing of #CAMEL_BESTENC_GET_ENCODING and #CAMEL_BESTENC_GET_CHARSET.

`enctype`

  Type: `CamelBestencEncoding`

  An encoding to enforce.